org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmUsingImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmUsingImpl

- All Implemented Interfaces:
    EdmUsing

      public class EdmUsingImpl
      extends Object
      implements EdmUsing

  Objects of this class represent EdmUsing

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmUsingImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlias()`
    `Collection<EdmAnnotationAttribute>` | `getAnnotationAttributes()`
    `Collection<EdmAnnotationElement>` | `getAnnotationElements()`
    `EdmDocumentationImpl` | `getDocumentation()`
    `String` | `getNamespace()`
    `EdmUsingImpl` | `setAlias(String alias)` Sets the alias for this `EdmUsingImpl`
    `EdmUsingImpl` | `setAnnotationAttributes(List<EdmAnnotationAttribute> annotationAttributes)` Sets the collection of `AnnotationAttribute` for this `EdmUsingImpl`
    `EdmUsingImpl` | `setAnnotationElements(List<EdmAnnotationElement> annotationElements)` Sets the collection of `AnnotationElement` for this `EdmUsingImpl`
    `EdmUsingImpl` | `setDocumentation(EdmDocumentationImpl documentation)` Sets the `EdmDocumentation` for this `EdmUsingImpl`
    `EdmUsingImpl` | `setNamespace(String namespace)` Sets the namespace for this `EdmUsingImpl`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EdmUsingImpl

          public EdmUsingImpl()

  - ### Method Detail

    - #### setNamespace

          public EdmUsingImpl setNamespace(String namespace)

      Sets the namespace for this `EdmUsingImpl`
      Parameters:
        `namespace` -
      Returns:
        `EdmUsingImpl` for method chaining

    - #### setAlias

          public EdmUsingImpl setAlias(String alias)

      Sets the alias for this `EdmUsingImpl`
      Parameters:
        `alias` -
      Returns:
        `EdmUsingImpl` for method chaining

    - #### setDocumentation

          public EdmUsingImpl setDocumentation(EdmDocumentationImpl documentation)

      Sets the `EdmDocumentation` for this `EdmUsingImpl`
      Parameters:
        `documentation` -
      Returns:
        `EdmUsingImpl` for method chaining

    - #### setAnnotationAttributes

          public EdmUsingImpl setAnnotationAttributes(List<EdmAnnotationAttribute> annotationAttributes)

      Sets the collection of `AnnotationAttribute` for this `EdmUsingImpl`
      Parameters:
        `annotationAttributes` -
      Returns:
        `EdmUsingImpl` for method chaining

    - #### setAnnotationElements

          public EdmUsingImpl setAnnotationElements(List<EdmAnnotationElement> annotationElements)

      Sets the collection of `AnnotationElement` for this `EdmUsingImpl`
      Parameters:
        `annotationElements` -
      Returns:
        `EdmUsingImpl` for method chaining

    - #### getNamespace

          public String getNamespace()

      Specified by:
        `getNamespace` in interface `EdmUsing`
      Returns:
        String namespace

    - #### getAlias

          public String getAlias()

      Specified by:
        `getAlias` in interface `EdmUsing`
      Returns:
        String alias

    - #### getDocumentation

          public EdmDocumentationImpl getDocumentation()

      Specified by:
        `getDocumentation` in interface `EdmUsing`
      Returns:
        `EdmDocumentation` documentation

    - #### getAnnotationAttributes

          public Collection<EdmAnnotationAttribute> getAnnotationAttributes()

      Specified by:
        `getAnnotationAttributes` in interface `EdmUsing`
      Returns:
        collection of `AnnotationAttribute` annotation attributes

    - #### getAnnotationElements

          public Collection<EdmAnnotationElement> getAnnotationElements()

      Specified by:
        `getAnnotationElements` in interface `EdmUsing`
      Returns:
        collection of `AnnotationElement` annotation elements

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.